org.keycloak.representations.idm

## Class AdminEventRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.AdminEventRepresentation

-     public class AdminEventRepresentation
      extends Object

  Author:
    Stan Silvert ssilvert@redhat.com (C) 2016 Red Hat Inc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminEventRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthDetailsRepresentation` | `getAuthDetails()`
    `String` | `getError()`
    `String` | `getOperationType()`
    `String` | `getRealmId()`
    `String` | `getRepresentation()`
    `String` | `getResourcePath()`
    `String` | `getResourceType()`
    `long` | `getTime()`
    `void` | `setAuthDetails(AuthDetailsRepresentation authDetails)`
    `void` | `setError(String error)`
    `void` | `setOperationType(String operationType)`
    `void` | `setRealmId(String realmId)`
    `void` | `setRepresentation(String representation)`
    `void` | `setResourcePath(String resourcePath)`
    `void` | `setResourceType(String resourceType)`
    `void` | `setTime(long time)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminEventRepresentation

          public AdminEventRepresentation()

  - ### Method Detail

    - #### getTime

          public long getTime()

    - #### setTime

          public void setTime(long time)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getAuthDetails

          public AuthDetailsRepresentation getAuthDetails()

    - #### setAuthDetails

          public void setAuthDetails(AuthDetailsRepresentation authDetails)

    - #### getOperationType

          public String getOperationType()

    - #### setOperationType

          public void setOperationType(String operationType)

    - #### getResourceType

          public String getResourceType()

    - #### setResourceType

          public void setResourceType(String resourceType)

    - #### getResourcePath

          public String getResourcePath()

    - #### setResourcePath

          public void setResourcePath(String resourcePath)

    - #### getRepresentation

          public String getRepresentation()

    - #### setRepresentation

          public void setRepresentation(String representation)

    - #### getError

          public String getError()

    - #### setError

          public void setError(String error)

Copyright © 2021 JBoss by Red Hat. All rights reserved.